package com.da.dangan.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.da.common.annotation.Excel;
import com.da.common.core.domain.BaseEntity;

/**
 * 用户目录关联对象 da_user_catalog
 * 
 * @author hs
 * @date 2024-05-08
 */
public class DaUserCatalog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 用户ID */
    private Long userId;

    /** 目录ID */
    private Long muId;

    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setMuId(Long muId) 
    {
        this.muId = muId;
    }

    public Long getMuId() 
    {
        return muId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("userId", getUserId())
            .append("muId", getMuId())
            .toString();
    }
}
